commit:     f2f9f186bd8f90809fef9c83594ffcc7d3ec4c36
Author:     Kent Fredric <kentnl <AT> gentoo <DOT> org>
AuthorDate: Sat Apr  1 21:53:23 2017 +0000
Commit:     Kent Fredric <kentnl <AT> gentoo <DOT> org>
CommitDate: Sat Apr  1 21:53:39 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f2f9f186

dev-perl/List-MoreUtils: Bump to version 0.418.0

- EAPI6
- Update LICENSE
- Add USE="xs"

Upstream:
- XS bits forked out to List-MoreUtils-XS
- License now Apache-2 as well

Package-Manager: Portage-2.3.4, Repoman-2.3.2

 .../List-MoreUtils/List-MoreUtils-0.418.0.ebuild   | 23 ++++++++++++++++++++++
 dev-perl/List-MoreUtils/Manifest                   |  1 +
 dev-perl/List-MoreUtils/metadata.xml               |  4 ++++
 3 files changed, 28 insertions(+)

diff --git a/dev-perl/List-MoreUtils/List-MoreUtils-0.418.0.ebuild 
b/dev-perl/List-MoreUtils/List-MoreUtils-0.418.0.ebuild
new file mode 100644
index 00000000000..1bd85f3880c
--- /dev/null
+++ b/dev-perl/List-MoreUtils/List-MoreUtils-0.418.0.ebuild
@@ -0,0 +1,23 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+DIST_AUTHOR=REHSACK
+DIST_VERSION=0.418
+inherit perl-module
+
+DESCRIPTION="Provide the missing functionality from List::Util"
+
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 
~sh ~sparc ~x86 ~ppc-aix ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux 
~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~x86-solaris"
+IUSE="test +xs"
+# See MoreUtils.pm/LICENSE
+LICENSE="Apache-2.0 || ( Artistic GPL-1+ )"
+
+PDEPEND="xs? ( dev-perl/List-MoreUtils-XS )"
+RDEPEND=">=dev-perl/Exporter-Tiny-0.38.0"
+DEPEND="${RDEPEND}
+       virtual/perl-ExtUtils-MakeMaker
+       test? ( >=virtual/perl-Test-Simple-0.960.0 )
+"

diff --git a/dev-perl/List-MoreUtils/Manifest b/dev-perl/List-MoreUtils/Manifest
index 9528c0e1e5b..13258c4c21f 100644
--- a/dev-perl/List-MoreUtils/Manifest
+++ b/dev-perl/List-MoreUtils/Manifest
@@ -1 +1,2 @@
 DIST List-MoreUtils-0.413.tar.gz 131313 SHA256 
4d6429d5672ce74a59d6490320252cb8b5b8285db8fe9c6551a4162e5375ef37 SHA512 
178c08995d2eddd75054b29cd68adb77617e92b7e56ac56a890eb7b8e04a1f8eda09f2208288d61352db563bff7da0accf58f7482906a51e03b38465ea655d17
 WHIRLPOOL 
843a54dc44e6698ced55e2737dc42c14327af5e76d25899e617cbec6fccceb4ddcf8ca424e641fa32be60b6b1878191ad3446c1f8477c7c751559799b3d871bc
+DIST List-MoreUtils-0.418.tar.gz 55111 SHA256 
365651edea4e0c806576e4dcfc3dfb98bb4cbb343bc5c3e04cdc7b5b71ed4988 SHA512 
7ba4395262c4406e822baf40e5a32aa6d93779a56d2567c4920f085ab2580c376db41e2141e4b9b43860d65122ebe73a03dfb0ed76a32f087b05ca7eb90f6d6e
 WHIRLPOOL 
ed63b850aebc353fda7ba9a8b24b1e50527d56b0c672c16cbc534cd90c9fe452a055b05f256d3e05c2d66be3752b1ab20580815d473c0231bfbea55d34c55c40

diff --git a/dev-perl/List-MoreUtils/metadata.xml 
b/dev-perl/List-MoreUtils/metadata.xml
index 0df48e19049..4fa641e66c8 100644
--- a/dev-perl/List-MoreUtils/metadata.xml
+++ b/dev-perl/List-MoreUtils/metadata.xml
@@ -5,8 +5,12 @@
     <email>[email protected]</email>
     <name>Gentoo Perl Project</name>
   </maintainer>
+  <use>
+    <flag name="xs">Install C-Based backend implementation for 
performance</flag>
+  </use>
   <upstream>
     <remote-id type="cpan">List-MoreUtils</remote-id>
     <remote-id type="cpan-module">List::MoreUtils</remote-id>
+    <remote-id type="cpan-module">List::MoreUtils::PP</remote-id>
   </upstream>
 </pkgmetadata>

Reply via email to